Oracle Linux 5 : xorg-x11-server (ELSA-2007-0127)

High Nessus Plugin ID 67466


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2007:0127 :

Updated X11 server packages that fix a security issue are now available for Red Hat Enterprise Linux 5.

This update has been rated as having important security impact by the Red Hat Security Response Team. is an open source implementation of the X Window System. It provides the basic low-level functionality that full-fledged graphical user interfaces are designed upon.

iDefense reported an integer overflow flaw in the X11 server XC-MISC extension. A malicious authorized client could exploit this issue to cause a denial of service (crash) or potentially execute arbitrary code with root privileges on the server.

Users of the X11 server should upgrade to these updated packages, which contain a backported patch and is not vulnerable to this issue.


Update the affected xorg-x11-server packages.

See Also

Plugin Details

Severity: High

ID: 67466

File Name: oraclelinux_ELSA-2007-0127.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2015/12/01

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9

Temporal Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:xorg-x11-server-Xdmx, p-cpe:/a:oracle:linux:xorg-x11-server-Xephyr, p-cpe:/a:oracle:linux:xorg-x11-server-Xnest, p-cpe:/a:oracle:linux:xorg-x11-server-Xorg, p-cpe:/a:oracle:linux:xorg-x11-server-Xvfb, p-cpe:/a:oracle:linux:xorg-x11-server-sdk, cpe:/o:oracle:linux:5

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/06/26

Vulnerability Publication Date: 2007/04/03

Reference Information

CVE: CVE-2007-1003

BID: 23284, 23300

OSVDB: 34110

RHSA: 2007:0127